Make an outbound phone call V2

Make an outbound phone call with one of your AI phone agents.

POST https://app.ringly.io/api/1.1/wf/make-outbound-call-v2


Headers

You can find your Ringly.io API key in Settings > API key and then generate an API key.

Name
Value

Content-Type

application/json

Authorization

<Your Ringly.io API key>

Body


from_number string required

A phone number you own in Ringly.io, in E.164 format. Example: "+12153331234".


to_number string required

The number you want to call, in E.164 format. Example: "+12153331234".


agent_tag string required

The tag of one your AI phone agents. Does not need to have a phone number, as long as the 'from_number' is yours. Example: "agent_124532h23i5ad2543b3289bsj3". You can find the agent_tag by going to your agent, and scroll all the way down. Note: not all agent_tag's start with "agent_"


dynamic_variables object optional

Add dynamic variables in key-value pairs of string that you can use in the phone call.

Example: "Hey, am I speaking with {{customer_name}} from the {{property}} at {{address}}?"

Ringly.io automatically replace the variables with the actual values: "Hey, am I speaking with Ruben from the apartment at Fifth Avenue 138?"

Keys in dynamic_variables must use only letters and underscores: customer_name (No spaces or special characters).

When adding it to your agent's instructions or greeting, add 2 curly braces around it: {{customer_name}}


Example requests

Response

Make sure you adhere to local laws and regulations when making outbound phone calls. Read our Terms of Service for more.

Last updated